$(function () {
    //  Au chargement de la page, les réponses du questionnaire doivent être invisibles.
    $(".questionnaire dd").hide();
    // Lorsque l’utilisateur clique sur une des questions, la réponse adéquate doit être affichée.
    $(".questionnaire dt").click(function() {
        $(this).nextUntil("dt").toggle();
    });
    // Au chargement de la page, toutes les questions du formulaire sont préfixées d’une numérotation
    $(".questionnaire dt").each(function (index, elem) {
        $(elem).prepend("Q" + (++index) + ": ");
    });
    // Mise en forme des définitions du « résumé jQuery »
    $("dl[class!='questionnaire'] dd").on("mouseover mouseout", function () {
        $(this).toggleClass("highlight");
    });
    //  Les liens qui font référence à une adresse absolue ont un style particulier
    $("a[href^='http://'], a[href^='https://']").addClass("externalLink");
    // Le petit formulaire en bas de page doit permettre l’ajout d’une nouvelle note dans la liste des notes
    $("#ajouter").on("click", function () {
        // Recupère la note saisie par l'utilisateur'
        var newNote = $("#newNote").val();
        // Crée un noeud DOM <p> contenant le texte
        var p = $("<p>").text(newNote);
        // Ajout du nouveau noeud au DOM de la page Web au bon endroit
        $("#notes").append(p);
        // Focus sur la saisie
        $("#newNote").val('');
        $("#newNote").focus();
    });
    // Mise en forme des notes (Attention à l'usage spécial de la méthode on)
    $("#notes").on("mouseover mouseout", "p", function (){
        $(this).toggleClass("warning");
    });
})